---
lang: en
title: 'API docs: socketio.socketioinvokemethodprovider._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketioinvokemethodprovider._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoInvokeMethodProvider](./socketio.socketioinvokemethodprovider.md) &gt; [(constructor)](./socketio.socketioinvokemethodprovider._constructor_.md)

## SocketIoInvokeMethodProvider.(constructor)

Constructs a new instance of the `SocketIoInvokeMethodProvider` class

**Signature:**

```typescript
constructor();
```

